Apple starting to drop Catalina support *already*?

I just checked the App Store for updates. As expected, there were updates for several apps in order to add Big Sur support:

  • GarageBand
  • iMovie
  • Keynote
  • Numbers
  • Pages
  • Xcode

I clicked the “Update All” button to be informed “GarageBand can’t be installed on … because macOS version 11 or later is required.”

Seriously? Big Sur just shipped yesterday and Apple has already made a flagship app incompatible with everything else?

And why is it being presented on my list of updates if it’s incompatible? In the past, the App Store would never show incompatible updates.

This is absolutely shameless self-promotion. If they think this is somehow going to convince people to upgrade their comptuers to a new and untested operating system, they’re completely nuts.

UPDATE: Further investigation (see comments below) indicates that this was a mistake, not an intent to drop support for GarageBand on macOS versions 10.*. But at this time (November 17, 2020), the mistake has not yet been corrected.

4 Likes

Sigh, now people will have a badge in the App Store that won’t go away to complain about.

1 Like

Kill me now. Remember, you can remove badged items from the Dock and either access them in other ways or just replace them with aliases that won’t get badges.

4 Likes

I interpreted this as a bug (misreading my system version which was current until yesterday), but apparently not.

There’s gotta be more to that story. This is something that Apple has been known to do once a new version of the OS gets to .3, but on the day of release?

And I was already perturbed by how Setapp recently added 2 new apps requiring Catalina at least.

1 Like

So, I have an iMac 2013 model which I breathed new life into by installing an SSD to replace the Hybrid drive, and fingers crossed it is running great. This is one of the Models that will not be able to upgrade to Big Sur. No biggie for me - I only just upgraded to Catalina & always wait a long time. However, the App Store updated several Apple Apps last night ready for Big Sur / Macs with Apple Silicon. One that could not update was Garage Band - I hit the “Update” button, and get a message saying

We could not complete your update.
GarageBand can’t be installed on “Macintosh HD” because macOS version 11 or later is required.

Since my Computer is on the “Incompatible” list, why push this to my Mac? Software update knows this is the end of the OS line for my Mac, so why doesn’t the App Store? If I want to use Garage Band on this Computer, it means I am stuck with the Red “Update” alert on the App Store. Very poor implementation on Apple’s side

Over in SlackBITS, Ray Zoller said that he called Apple about the GarageBand issue, and was told that lots of people are complaining and that it was just a bad package. Apple is working on a fix. In other words, happily, it wasn’t intentional.

https://slackbits.slack.com/archives/C0JA1EJRH/p1605367581018800

4 Likes

On the other hand…the Apple software that updated has the “new look” Big Sur style icons. So I suppose that’s something?

Slackbits is not accessible. I am not a Slack user and tried to read this using Google to sign in. Fail.

Tried to sign up for an account but need to be an e-mail user at tidbits.com (Being a subscriber to Tidbits doesn’t make me a mailbox user on your domain)

How about printing the article to .pdf and posting that? I would love to read Apple’s explanation to pushing an App I cannot download.

I filed a feedback report about that screwup. Someone at Apple not paying attention again.

I also reported as a bug the removed ability to SKIP THIS UPDATE.

2 Likes

We’ve written about SlackBITS numerous times in TidBITS, including just two weeks ago.

You should be able to follow the instructions there to sign up.

But there’s not that much to read. Just this and me confirming with Ray that it was a mistake.

When does Apple intend to either fix it so the latest version is Catalina compatible or remove the update until the user is actually running Big Sir.

How would anybody here know that? I doubt that anybody at Apple could even give you a solid answer.

If I needed to place a bet, I would say you will know they fixed the package when it is no longer offered to Catalina users. It seems clear to me that it will only run on macOS 11.

1 Like

FWIW, I just rebooted my iMac running Catalina and the Notification Badge for the Garage Band update is gone. When I open the GarageBand info window from the App Store, it informs me that I am running version 4.0 and that 4.1 is available but requires MacOS 11.0 or later, just as a few other Big Sur only apps do.

I assume that Apple when they put it up told the App Store that it only required 10.x, so that is what people with 10.x got. Except within the code it was checking for at least 11.0. Makes sense because I can copy apps from my iMac to a computer running an earlier system, there needs to be a check within the program.

I’m surprised no one here has noted that this has been the case for many years, with all their flagship apps. Each new version of macOS has a new version of Pages/Numbers/Keynote, for example, that only works in the latest version. [Btw, this has driven me crazy for years, since a user on an older machine that can’t be upgraded to the latest OS often can’t open a Pages doc created on the same user’s iPad (for instance), if that iPad is fully up-to-date. Grrr. Even Microsoft doesn’t go to those lengths to make their users lives miserable.]

If one tries to download the latest version, they’re notified that it requires the latest version of macOS, but they’re usually offered to download the latest version that works in the user’s version of the OS.

I might be missing a detail, but what’s different about this case?

The difference is that they dropped support for Catalina the day after Big Sur’s release. And then they presented it a an available update, even though it isn’t compatible (and the App Store displays an error if you click the “Update All” button when it is present).

On that same day, Apple released updates to Xcode, iMovie, Pages, Keynote and Numbers, but those updates are all still compatible with Catalina.

Ah, I see. Just the usual mess… :nerd_face:

Thanks for the clarification.

I rebooted my Mac Mini running Catalina in hopes that would fix the notification badge issue, but no go. Still there.